Function
waitFor
Waits for an asynchronous request to complete.
waitFor(request[, timeout_millis])
Include Headers
seqan/file.h
Parameters

request | Reference to an AsyncRequest object. Types: AsyncRequest
timeout_millis | Timout value in milliseconds. Default: Infinity. Remarks: A value of 0 can be used to test for completion without waiting.

Remarks
waitFor suspends the calling process until request is completed or after timeout_millis milliseconds.
Return Values
A bool which is true on completion and false on timeout.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49